/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

File: octvc1_job_api_swap.h	

Copyright (c) 2017 Octasic Inc. All rights reserved.	

Description:	

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
	

Release: OCTSDR Software Development Kit OCTSDR_GSM-02.09.00-B1607 (2017/08/29)	

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/	
#ifndef __OCTVC1_JOB_API_SWAP_H__
#define __OCTVC1_JOB_API_SWAP_H__

#ifdef __cplusplus
extern "C" {
#endif

/*****************************  INCLUDE FILES  *******************************/
#include "../octvc1_swap_hdrs.h"
#include "octvc1_job_api.h"

/*********************************  MACROS  **********************************/


#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_UNITS_SUITE_INFO_SWAP( _f_pParms ){ 	tOCTVC1_JOB_UNITS_SUITE_INFO * pOCTVC1_JOB_UNITS_SUITE_INFO = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_UNITS_SUITE_INFO)\
	((tOCTVC1_JOB_UNITS_SUITE_INFO *)pOCTVC1_JOB_UNITS_SUITE_INFO)->ulCaseCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_UNITS_SUITE_INFO *)pOCTVC1_JOB_UNITS_SUITE_INFO)->ulCaseCount); \
}
#else
#define mOCTVC1_JOB_UNITS_SUITE_INFO_SWAP( pOCTVC1_JOB_UNITS_SUITE_INFO )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_UNITS_CASE_INFO_SWAP( _f_pParms ){ 	tOCTVC1_JOB_UNITS_CASE_INFO * pOCTVC1_JOB_UNITS_CASE_INFO = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_UNITS_CASE_INFO)\
	{ mOCTVC1_USER_ID_PROCESS_ENUM_SWAP( &((tOCTVC1_JOB_UNITS_CASE_INFO *)pOCTVC1_JOB_UNITS_CASE_INFO)->ulProcessUserId ); }  \
	((tOCTVC1_JOB_UNITS_CASE_INFO *)pOCTVC1_JOB_UNITS_CASE_INFO)->ulInteractiveFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_UNITS_CASE_INFO *)pOCTVC1_JOB_UNITS_CASE_INFO)->ulInteractiveFlag); \
}
#else
#define mOCTVC1_JOB_UNITS_CASE_INFO_SWAP( pOCTVC1_JOB_UNITS_CASE_INFO )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_UNITS_CASE_EXEC_PARMS_SWAP( _f_pParms ){ 	tOCTVC1_JOB_UNITS_CASE_EXEC_PARMS * pOCTVC1_JOB_UNITS_CASE_EXEC_PARMS = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_UNITS_CASE_EXEC_PARMS)\
	((tOCTVC1_JOB_UNITS_CASE_EXEC_PARMS *)pOCTVC1_JOB_UNITS_CASE_EXEC_PARMS)->ulPulseModeFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_UNITS_CASE_EXEC_PARMS *)pOCTVC1_JOB_UNITS_CASE_EXEC_PARMS)->ulPulseModeFlag); \
}
#else
#define mOCTVC1_JOB_UNITS_CASE_EXEC_PARMS_SWAP( pOCTVC1_JOB_UNITS_CASE_EXEC_PARMS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_RUNNER_CASE_ADD_PARMS_SWAP( _f_pParms ){ 	tOCTVC1_JOB_RUNNER_CASE_ADD_PARMS * pOCTVC1_JOB_RUNNER_CASE_ADD_PARMS = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_RUNNER_CASE_ADD_PARMS)\
	((tOCTVC1_JOB_RUNNER_CASE_ADD_PARMS *)pOCTVC1_JOB_RUNNER_CASE_ADD_PARMS)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_ADD_PARMS *)pOCTVC1_JOB_RUNNER_CASE_ADD_PARMS)->hPkgSuite); \
	((tOCTVC1_JOB_RUNNER_CASE_ADD_PARMS *)pOCTVC1_JOB_RUNNER_CASE_ADD_PARMS)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_ADD_PARMS *)pOCTVC1_JOB_RUNNER_CASE_ADD_PARMS)->ulCaseId); \
	{ mOCTVC1_JOB_UNITS_CASE_EXEC_PARMS_SWAP( &((tOCTVC1_JOB_RUNNER_CASE_ADD_PARMS *)pOCTVC1_JOB_RUNNER_CASE_ADD_PARMS)->ExecParms ); }  \
}
#else
#define mOCTVC1_JOB_RUNNER_CASE_ADD_PARMS_SWAP( pOCTVC1_JOB_RUNNER_CASE_ADD_PARMS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_RUNNER_CASE_INFO_SWAP( _f_pParms ){ 	tOCTVC1_JOB_RUNNER_CASE_INFO * pOCTVC1_JOB_RUNNER_CASE_INFO = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_RUNNER_CASE_INFO)\
	((tOCTVC1_JOB_RUNNER_CASE_INFO *)pOCTVC1_JOB_RUNNER_CASE_INFO)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_INFO *)pOCTVC1_JOB_RUNNER_CASE_INFO)->hPkgSuite); \
	((tOCTVC1_JOB_RUNNER_CASE_INFO *)pOCTVC1_JOB_RUNNER_CASE_INFO)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_INFO *)pOCTVC1_JOB_RUNNER_CASE_INFO)->ulCaseId); \
	{ mOCTVC1_JOB_UNITS_CASE_EXEC_PARMS_SWAP( &((tOCTVC1_JOB_RUNNER_CASE_INFO *)pOCTVC1_JOB_RUNNER_CASE_INFO)->ExecParms ); }  \
}
#else
#define mOCTVC1_JOB_RUNNER_CASE_INFO_SWAP( pOCTVC1_JOB_RUNNER_CASE_INFO )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_RUNNER_STATE_ENUM_SWAP( pType ){ \
		*((tOCT_UINT32 *)pType) = mOCT_SWAP32_IF_LE( *((tOCT_UINT32 *)pType) ); }
#else

#define mOCTVC1_JOB_RUNNER_STATE_ENUM_SWAP( pType )

#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_RUNNER_CASE_METRIC_INDEX_ENUM_SWAP( pType ){ \
		*((tOCT_UINT32 *)pType) = mOCT_SWAP32_IF_LE( *((tOCT_UINT32 *)pType) ); }
#else

#define mOCTVC1_JOB_RUNNER_CASE_METRIC_INDEX_ENUM_SWAP( pType )

#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS_SWAP( _f_pParms ){ 	tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS * pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)\
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulUserId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulUserId); \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulExecCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulExecCnt); \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulTotalExecTimeUs = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulTotalExecTimeUs); \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulLastExecTimeUs = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulLastExecTimeUs); \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulMaxExecTimeUs = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulMaxExecTimeUs); \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulMaxExecTimeIterationNum = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulMaxExecTimeIterationNum); \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulTotalCacheMissCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulTotalCacheMissCnt); \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulLastExecCacheMissCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulLastExecCacheMissCnt); \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulMaxExecCacheMissCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulMaxExecCacheMissCnt); \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulMaxExecCacheMissIterationNum = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->ulMaxExecCacheMissIterationNum); \
	{ tOCT_UINT32 iOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS; \
	for( iOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS=0; \
		iOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS<(cOCTVC1_JOB_RUNNER_CASE_METRIC_USER_VALUE_MAX_LENGTH);iOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS++ ) \
	((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->aulUserValue[iOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS] = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS *)pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS)->aulUserValue[iOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS]);}\
}
#else
#define mOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS_SWAP( pOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_RUNNER_CASE_STATE_ENUM_SWAP( pType ){ \
		*((tOCT_UINT32 *)pType) = mOCT_SWAP32_IF_LE( *((tOCT_UINT32 *)pType) ); }
#else

#define mOCTVC1_JOB_RUNNER_CASE_STATE_ENUM_SWAP( pType )

#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_RUNNER_CASE_STATS_SWAP( _f_pParms ){ 	tOCTVC1_JOB_RUNNER_CASE_STATS * pOCTVC1_JOB_RUNNER_CASE_STATS = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_RUNNER_CASE_STATS)\
	{ mOCTVC1_JOB_RUNNER_CASE_STATE_ENUM_SWAP( &((tOCTVC1_JOB_RUNNER_CASE_STATS *)pOCTVC1_JOB_RUNNER_CASE_STATS)->ulState ); }  \
	((tOCTVC1_JOB_RUNNER_CASE_STATS *)pOCTVC1_JOB_RUNNER_CASE_STATS)->ulErrorCode = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_STATS *)pOCTVC1_JOB_RUNNER_CASE_STATS)->ulErrorCode); \
	((tOCTVC1_JOB_RUNNER_CASE_STATS *)pOCTVC1_JOB_RUNNER_CASE_STATS)->ulExecCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_STATS *)pOCTVC1_JOB_RUNNER_CASE_STATS)->ulExecCnt); \
	((tOCTVC1_JOB_RUNNER_CASE_STATS *)pOCTVC1_JOB_RUNNER_CASE_STATS)->ulPendingPulseCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_RUNNER_CASE_STATS *)pOCTVC1_JOB_RUNNER_CASE_STATS)->ulPendingPulseCnt); \
	{ tOCT_UINT32 jOCTVC1_JOB_RUNNER_CASE_STATS; \
	for( jOCTVC1_JOB_RUNNER_CASE_STATS=0; \
		jOCTVC1_JOB_RUNNER_CASE_STATS<(cOCTVC1_JOB_RUNNER_CASE_METRIC_STATS_MAX_LENGTH);jOCTVC1_JOB_RUNNER_CASE_STATS++ ) \
	{ mOCTVC1_JOB_RUNNER_CASE_METRIC_POINT_STATS_SWAP( &((tOCTVC1_JOB_RUNNER_CASE_STATS *)pOCTVC1_JOB_RUNNER_CASE_STATS)->aMetricStats[jOCTVC1_JOB_RUNNER_CASE_STATS] ); }} \
}
#else
#define mOCTVC1_JOB_RUNNER_CASE_STATS_SWAP( pOCTVC1_JOB_RUNNER_CASE_STATS )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_RUNNER_CASE_LEVEL_ENUM_SWAP( pType ){ \
		*((tOCT_UINT32 *)pType) = mOCT_SWAP32_IF_LE( *((tOCT_UINT32 *)pType) ); }
#else

#define mOCTVC1_JOB_RUNNER_CASE_LEVEL_ENUM_SWAP( pType )

#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_LIST_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_LIST_CMD * pOCTVC1_JOB_MSG_UNITS_LIST_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_LIST_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_CMD *)pOCTVC1_JOB_MSG_UNITS_LIST_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_CMD *)pOCTVC1_JOB_MSG_UNITS_LIST_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_LIST_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_LIST_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_LIST_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_LIST_RSP * pOCTVC1_JOB_MSG_UNITS_LIST_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_LIST_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_RSP *)pOCTVC1_JOB_MSG_UNITS_LIST_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_RSP *)pOCTVC1_JOB_MSG_UNITS_LIST_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_RSP *)pOCTVC1_JOB_MSG_UNITS_LIST_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_LIST_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_LIST_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_START_ALL_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_START_ALL_CMD * pOCTVC1_JOB_MSG_UNITS_START_ALL_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_START_ALL_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_START_ALL_CMD *)pOCTVC1_JOB_MSG_UNITS_START_ALL_CMD)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_START_ALL_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_START_ALL_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_START_ALL_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_START_ALL_RSP * pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_START_ALL_RSP *)pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_START_ALL_RSP *)pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP)->ulStartCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_ALL_RSP *)pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP)->ulStartCount); \
	((tOCTVC1_JOB_MSG_UNITS_START_ALL_RSP *)pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP)->ulErrorCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_ALL_RSP *)pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP)->ulErrorCount); \
	((tOCTVC1_JOB_MSG_UNITS_START_ALL_RSP *)pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP)->ulDisableCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_ALL_RSP *)pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP)->ulDisableCount); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_START_ALL_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_START_ALL_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_INFO_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_INFO_CMD * pOCTVC1_JOB_MSG_UNITS_INFO_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_INFO_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_INFO_CMD *)pOCTVC1_JOB_MSG_UNITS_INFO_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_INFO_CMD *)pOCTVC1_JOB_MSG_UNITS_INFO_CMD)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_INFO_CMD *)pOCTVC1_JOB_MSG_UNITS_INFO_CMD)->hPkgSuite); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_INFO_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_INFO_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_INFO_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_INFO_RSP * pOCTVC1_JOB_MSG_UNITS_INFO_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_INFO_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_INFO_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_INFO_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_RSP)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_INFO_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_RSP)->hPkgSuite); \
	{ mOCTVC1_JOB_UNITS_SUITE_INFO_SWAP( &((tOCTVC1_JOB_MSG_UNITS_INFO_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_RSP)->SuiteInfo ); }  \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_INFO_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_INFO_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_FIND_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_FIND_CMD * pOCTVC1_JOB_MSG_UNITS_FIND_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_FIND_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_FIND_CMD *)pOCTVC1_JOB_MSG_UNITS_FIND_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_FIND_CMD *)pOCTVC1_JOB_MSG_UNITS_FIND_CMD)->hPackSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_FIND_CMD *)pOCTVC1_JOB_MSG_UNITS_FIND_CMD)->hPackSuite); \
	((tOCTVC1_JOB_MSG_UNITS_FIND_CMD *)pOCTVC1_JOB_MSG_UNITS_FIND_CMD)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_FIND_CMD *)pOCTVC1_JOB_MSG_UNITS_FIND_CMD)->ulCaseId); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_FIND_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_FIND_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_FIND_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_FIND_RSP * pOCTVC1_JOB_MSG_UNITS_FIND_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_FIND_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_FIND_RSP *)pOCTVC1_JOB_MSG_UNITS_FIND_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_FIND_RSP *)pOCTVC1_JOB_MSG_UNITS_FIND_RSP)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_FIND_RSP *)pOCTVC1_JOB_MSG_UNITS_FIND_RSP)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_FIND_RSP *)pOCTVC1_JOB_MSG_UNITS_FIND_RSP)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_FIND_RSP *)pOCTVC1_JOB_MSG_UNITS_FIND_RSP)->ulCaseId); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_FIND_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_FIND_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_START_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_START_CMD * pOCTVC1_JOB_MSG_UNITS_START_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_START_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_START_CMD *)pOCTVC1_JOB_MSG_UNITS_START_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_START_CMD *)pOCTVC1_JOB_MSG_UNITS_START_CMD)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_CMD *)pOCTVC1_JOB_MSG_UNITS_START_CMD)->hPkgSuite); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_START_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_START_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_START_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_START_RSP * pOCTVC1_JOB_MSG_UNITS_START_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_START_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_START_RSP *)pOCTVC1_JOB_MSG_UNITS_START_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_START_RSP *)pOCTVC1_JOB_MSG_UNITS_START_RSP)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_RSP *)pOCTVC1_JOB_MSG_UNITS_START_RSP)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_START_RSP *)pOCTVC1_JOB_MSG_UNITS_START_RSP)->ulStartCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_RSP *)pOCTVC1_JOB_MSG_UNITS_START_RSP)->ulStartCount); \
	((tOCTVC1_JOB_MSG_UNITS_START_RSP *)pOCTVC1_JOB_MSG_UNITS_START_RSP)->ulErrorCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_RSP *)pOCTVC1_JOB_MSG_UNITS_START_RSP)->ulErrorCount); \
	((tOCTVC1_JOB_MSG_UNITS_START_RSP *)pOCTVC1_JOB_MSG_UNITS_START_RSP)->ulDisableCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_RSP *)pOCTVC1_JOB_MSG_UNITS_START_RSP)->ulDisableCount); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_START_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_START_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD * pOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD)->SubObjectIdGet ); }  \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_LIST_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP * pOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SUB_OBJECT_ID_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP)->SubObjectIdGet ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_LIST_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD * pOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD)->ulCaseId); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_INFO_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP * pOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP)->ulCaseId); \
	{ mOCTVC1_JOB_UNITS_CASE_INFO_SWAP( &((tOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP)->CaseInfo ); }  \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_INFO_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD * pOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD)->ulCaseId); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_STATS_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP * pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP)->ulCaseId); \
	((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP)->ulEnableStateFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP)->ulEnableStateFlag); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_STATS_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD * pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD)->ulCaseId); \
	((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD)->ulEnableStateFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD)->ulEnableStateFlag); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP * pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP)->ulCaseId); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_MODIFY_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_START_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_START_CASES_CMD * pOCTVC1_JOB_MSG_UNITS_START_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_START_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_START_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_START_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_START_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_START_CASES_CMD)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_START_CASES_CMD)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_START_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_START_CASES_CMD)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_START_CASES_CMD)->ulCaseId); \
	{ mOCTVC1_JOB_UNITS_CASE_EXEC_PARMS_SWAP( &((tOCTVC1_JOB_MSG_UNITS_START_CASES_CMD *)pOCTVC1_JOB_MSG_UNITS_START_CASES_CMD)->ExecParms ); }  \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_START_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_UNITS_START_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_UNITS_START_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_UNITS_START_CASES_RSP * pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_UNITS_START_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_UNITS_START_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP)->hPkgSuite = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP)->hPkgSuite); \
	((tOCTVC1_JOB_MSG_UNITS_START_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP)->ulCaseId = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP)->ulCaseId); \
	((tOCTVC1_JOB_MSG_UNITS_START_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_UNITS_START_CASES_RSP *)pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_UNITS_START_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_UNITS_START_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_CMD * pOCTVC1_JOB_MSG_RUNNER_STATS_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_RSP * pOCTVC1_JOB_MSG_RUNNER_STATS_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)->ulCaseCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)->ulCaseCount); \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)->ulExecutedCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)->ulExecutedCount); \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)->ulErrorCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)->ulErrorCount); \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)->ulCaseMaxCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_RSP)->ulCaseMaxCount); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_PAUSE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_PAUSE_CMD * pOCTVC1_JOB_MSG_RUNNER_PAUSE_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_PAUSE_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_PAUSE_CMD *)pOCTVC1_JOB_MSG_RUNNER_PAUSE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_PAUSE_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_PAUSE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_PAUSE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_PAUSE_RSP * pOCTVC1_JOB_MSG_RUNNER_PAUSE_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_PAUSE_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_PAUSE_RSP *)pOCTVC1_JOB_MSG_RUNNER_PAUSE_RSP)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_PAUSE_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_PAUSE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_RESUME_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_RESUME_CMD * pOCTVC1_JOB_MSG_RUNNER_RESUME_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_RESUME_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_RESUME_CMD *)pOCTVC1_JOB_MSG_RUNNER_RESUME_CMD)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_RESUME_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_RESUME_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_RESUME_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_RESUME_RSP * pOCTVC1_JOB_MSG_RUNNER_RESUME_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_RESUME_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_RESUME_RSP *)pOCTVC1_JOB_MSG_RUNNER_RESUME_RSP)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_RESUME_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_RESUME_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_CLEANUP_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_CLEANUP_CMD * pOCTVC1_JOB_MSG_RUNNER_CLEANUP_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_CLEANUP_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_CLEANUP_CMD *)pOCTVC1_JOB_MSG_RUNNER_CLEANUP_CMD)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_CLEANUP_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_CLEANUP_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP * pOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP *)pOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP *)pOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP)->ulRemoveCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP *)pOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP)->ulRemoveCount); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_CLEANUP_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD * pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD)->Header ); }  \
	{ mOCTVC1_JOB_RUNNER_CASE_ADD_PARMS_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD)->RunnerAddParms ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP * pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_ADD_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD * pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP * pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD * pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP * pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD * pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP * pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP)->hRunnerCase); \
	{ mOCTVC1_JOB_RUNNER_CASE_INFO_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP)->Info ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD * pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP * pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP)->hRunnerCase); \
	{ mOCTVC1_JOB_RUNNER_CASE_STATS_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP)->Stats ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD * pOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_START_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP * pOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_START_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD * pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP * pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_STOP_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD * pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD)->hRunnerCase); \
	((tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD)->ulPulseCnt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD)->ulPulseCnt); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP * pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_PULSE_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_CMD * pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_CMD)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP * pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP)->ulRemoveCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP)->ulRemoveCount); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD * pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP * pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_EXECUTE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD * pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP * pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_EXECUTE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD * pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP * pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP)->hRunnerCase); \
	{ mOCTVC1_JOB_RUNNER_CASE_INFO_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP)->Info ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_EXECUTE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD * pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP * pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_START_CASES_EXECUTE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD * pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP * pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP)->hRunnerCase); \
	{ mOCTVC1_JOB_RUNNER_CASE_STATS_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP)->Stats ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_EXECUTE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_CMD * pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_CMD)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP * pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP)->ulRemoveCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP)->ulRemoveCount); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_EXECUTE_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD * pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP * pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_NAME_OBJECT32_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP)->ObjectNameList ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_LIST_CASES_ERROR_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD * pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP * pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_CASES_ERROR_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD * pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP * pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP)->hRunnerCase); \
	{ mOCTVC1_JOB_RUNNER_CASE_INFO_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP)->Info ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_CASES_ERROR_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD * pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP * pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_START_CASES_ERROR_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD * pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD)->hRunnerCase); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP * pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP)->hRunnerCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP)->hRunnerCase); \
	{ mOCTVC1_JOB_RUNNER_CASE_STATS_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP)->Stats ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_CASES_ERROR_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_CMD * pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_CMD *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_CMD)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP * pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP)->ulRemoveCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP *)pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP)->ulRemoveCount); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_REMOVE_ALL_CASES_ERROR_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD * pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD)->ObjectCursor ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP * pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP)->Header ); }  \
	{ mOCTVC1_CURSOR_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP)->ObjectCursor ); }  \
	{ mOCTVC1_LIST_HANDLE_OBJECT_GET_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP)->ObjectList ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_LIST_EXECUTOR_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD * pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD)->hExecutor = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD)->hExecutor); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP * pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP)->hExecutor = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP)->hExecutor); \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP)->hProcess = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP)->hProcess); \
	{ mOCTVC1_USER_ID_PROCESS_ENUM_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP)->ulUserId ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_EXECUTOR_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD * pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD)->hExecutor = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD)->hExecutor); \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD)->ulResetStatsFlag = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD)->ulResetStatsFlag); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP * pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->Header ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->hExecutor = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->hExecutor); \
	{ mOCTVC1_JOB_RUNNER_STATE_ENUM_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->ulState ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->hActiveCase = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->hActiveCase); \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->ulExecutedCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->ulExecutedCount); \
	((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->ulErrorCount = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP *)pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP)->ulErrorCount); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_STATS_EXECUTOR_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_CMD * pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_CMD *)pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_CMD)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP * pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP)->Header ); }  \
	{ mOCTVC1_JOB_RUNNER_CASE_LEVEL_ENUM_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP)->ulRunnerCaseLevel ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP)->fSendStateChangeEvt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP *)pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP)->fSendStateChangeEvt); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_INFO_CONFIGURATION_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD * pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD *)pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD)->Header ); }  \
	{ mOCTVC1_JOB_RUNNER_CASE_LEVEL_ENUM_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD *)pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD)->ulRunnerCaseLevel ); }  \
	((tOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD *)pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD)->fSendStateChangeEvt = \
		mOCT_SWAP32_IF_LE(((tOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD *)pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD)->fSendStateChangeEvt); \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD_SWAP( pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_CMD )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#if defined( _OCT_ENDIAN_TYPE_LE_ )
#define mOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_RSP_SWAP( _f_pParms ){ 	tOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_RSP * pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_RSP = (_f_pParms); SWAP_UNUSED(pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_RSP)\
	{ mOCTVC1_MSG_HEADER_SWAP( &((tOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_RSP *)pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_RSP)->Header ); }  \
}
#else
#define mOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_RSP_SWAP( pOCTVC1_JOB_MSG_RUNNER_MODIFY_CONFIGURATION_RSP )
#endif /* _OCT_ENDIAN_TYPE_LE_ */

#ifdef __cplusplus
}

#endif

#endif /* __OCTVC1_JOB_API_SWAP_H__ */
